package com.muyu.cloud.market.domin;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin
 * @Project：cloud-market
 * @name：ProductHeader
 * @Date：2024/9/6 17:51
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ProductHeader {

    /**
     * 主键
     */
    @TableId(value = "product_id",type = IdType.AUTO)
    private Integer productId;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 请求头Id
     */
    private Integer headerId;
    /**
     * 请求头名称
     */
    private String headerName;
    /**
     * 请求头值
     */
    private String headerValue;
}
