package com.muyu.cloud.market.domin;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.market.domin
 * @Project：cloud-market
 * @name：ProductRequest
 * @Date：2024/9/6 20:17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ProductRequest {

    /**
     * 中间表Id
     */
    private Integer middleId;
    /**
     * 产品Id
     */
    private Integer productId;
    /**
     * 请求参数Id
     */
    private Integer requestId;
    /**
     * 请求参数名称
     */
    private String requestName;
    /**
     * 是否必填
     */
    private String requestIfmust;
    /**
     * 请求参数类型
     */
    private String requestType;
    /**
     *请求参数说明
     */
    private String requestContent;



}
